// This enums are directly copied from the web-player package
export enum PlayerEventV8 {
  Ready = 'ready',
  Play = 'play',
  Playing = 'playing',
  Paused = 'paused',
  Seek = 'seek',
  Seeked = 'seeked',
  TimeShift = 'timeshift',
  TimeShifted = 'timeshifted',
  VolumeChanged = 'volumechanged',
  Muted = 'muted',
  Unmuted = 'unmuted',
  PlayerResized = 'playerresized',
  PlaybackFinished = 'playbackfinished',
  Error = 'error',
  Warning = 'warning',
  StallStarted = 'stallstarted',
  StallEnded = 'stallended',
  AudioChanged = 'audiochanged',
  AudioAdded = 'audioadded',
  AudioRemoved = 'audioremoved',
  VideoQualityChanged = 'videoqualitychanged',
  AudioQualityChanged = 'audioqualitychanged',
  VideoDownloadQualityChange = 'videodownloadqualitychange',
  AudioDownloadQualityChange = 'audiodownloadqualitychange',
  VideoDownloadQualityChanged = 'videodownloadqualitychanged',
  AudioDownloadQualityChanged = 'audiodownloadqualitychanged',
  VideoPlaybackQualityChanged = 'videoplaybackqualitychanged',
  AudioPlaybackQualityChanged = 'audioplaybackqualitychanged',
  TimeChanged = 'timechanged',
  CueParsed = 'cueparsed',
  CueEnter = 'cueenter',
  CueUpdate = 'cueupdate',
  CueExit = 'cueexit',
  SegmentPlayback = 'segmentplayback',
  Metadata = 'metadata',
  MetadataParsed = 'metadataparsed',
  MetadataChanged = 'metadatachanged',
  VideoAdaptation = 'videoadaptation',
  AudioAdaptation = 'audioadaptation',
  DownloadFinished = 'downloadfinished',
  SegmentRequestFinished = 'segmentrequestfinished',
  AdManifestLoaded = 'admanifestloaded',
  AdStarted = 'adstarted',
  OverlayAdStarted = 'overlayadstarted',
  AdQuartile = 'adquartile',
  AdSkipped = 'adskipped',
  AdClicked = 'adclicked',
  AdLinearityChanged = 'adlinearitychanged',
  AdBreakStarted = 'adbreakstarted',
  AdBreakFinished = 'adbreakfinished',
  AdFinished = 'adfinished',
  AdError = 'aderror',
  VRViewingDirectionChange = 'vrviewingdirectionchange',
  VRViewingDirectionChanged = 'vrviewingdirectionchanged',
  VRStereoChanged = 'vrstereochanged',
  CastAvailable = 'castavailable',
  CastStopped = 'caststopped',
  CastStart = 'caststart',
  CastStarted = 'caststarted',
  CastWaitingForDevice = 'castwaitingfordevice',
  SourceLoaded = 'sourceloaded',
  SourceUnloaded = 'sourceunloaded',
  PeriodSwitch = 'periodswitch',
  PeriodSwitched = 'periodswitched',
  DVRWindowExceeded = 'dvrwindowexceeded',
  SubtitleAdded = 'subtitleadded',
  SubtitleRemoved = 'subtitleremoved',
  ShowAirplayTargetPicker = 'showairplaytargetpicker',
  AirplayAvailable = 'airplayavailable',
  AirplayChanged = 'airplaychanged',
  Destroy = 'destroy',
  PlaybackSpeedChanged = 'playbackspeedchanged',
  ViewModeChanged = 'viewmodechanged',
  ModuleReady = 'moduleready',
  SubtitleEnable = 'subtitleenable',
  SubtitleEnabled = 'subtitleenabled',
  SubtitleDisable = 'subtitledisable',
  SubtitleDisabled = 'subtitledisabled',
  VideoQualityAdded = 'videoqualityadded',
  VideoQualityRemoved = 'videoqualityremoved',
  AudioQualityAdded = 'audioqualityadded',
  AudioQualityRemoved = 'audioqualityremoved',
  TargetLatencyChanged = 'targetlatencychanged',
  LatencyModeChanged = 'latencymodechanged',
  LicenseValidated = 'licensevalidated',
  PlayerWarning = 'playerwarning',
  SourceWarning = 'sourcewarning',
  PlaylistTransition = 'playlisttransition',
  PlayerError = 'playererror',
  SourceError = 'sourceerror',
  ScalingModeChanged = 'scalingmodechanged'
}

export enum ViewMode {
  Inline = 'inline',
  Fullscreen = 'fullscreen',
  PictureInPicture = 'pictureinpicture'
}

export enum WarningCode {
  GENERAL_WARNING = 1000,
  API_INVALID_ARGUMENT = 1001,
  SETUP_WARNING = 1100,
  SETUP_CREATE_OBJECT_URL_MISSING = 1101,
  SETUP_SERVICE_WORKER_INITIALIZATION_FAILED = 1103,
  SETUP_SERVICE_WORKER_LOCATION_MISSING = 1104,
  SOURCE_WARNING = 1200,
  SOURCE_CODEC_OR_FILE_FORMAT_NOT_SUPPORTED = 1201,
  SOURCE_SMOOTH_REPRESENTATION_MISSING = 1202,
  SOURCE_SMOOTH_INVALID_INIT_DATA = 1203,
  SOURCE_SMOOTH_UNKNOWN_STREAM_INDEX_TYPE = 1204,
  SOURCE_SMOOTH_EMPTY_QUALITY_LEVEL = 1205,
  PLAYBACK_WARNING = 1300,
  PLAYBACK_GAP_DETECTED = 1301,
  PLAYBACK_DECODE_RETRIES_EXCEEDED = 1302,
  PLAYBACK_COULD_NOT_BE_STARTED = 1303,
  PLAYBACK_NEGATIVE_DECODING_TIMESTAMP_ENCOUNTERED = 1304,
  NETWORK_WARNING = 1400,
  NETWORK_COULD_NOT_LOAD_MANIFEST = 1401,
  NETWORK_COULD_NOT_LOAD_SUBTITLE = 1402,
  DRM_WARNING = 2000,
  DRM_SERVER_CERTIFICATE_NOT_SUPPORTED = 2001,
  DRM_COULD_NOT_DECRYPT_SEGMENT = 2002,
  VR_WARNING = 2100,
  VR_RENDERING_ERROR = 2101,
  MODULE_WARNING = 3000,
  MODULE_MISSING = 3001,
  MODULE_ADVERTISING_WARNING = 3100,
  MODULE_ADVERTISING_IMA_SDK_NOT_FOUND = 3101
}

export enum BufferType {
  ForwardDuration = "forwardduration",
  BackwardDuration = "backwardduration"
}

export enum MediaType {
  Audio = "audio",
  Video = "video",
  Subtitles = "subtitles"
}

export enum StreamTypeV8 {
  Progressive = "progressive",
  Dash = "dash",
  Hls = "hls",
  Smooth = "smooth",
  Uknown = "unknown"
}
